GNU Trove

## gnu.trove
Class HashFunctions

    java.lang.Object
      gnu.trove.HashFunctions

    public final class HashFunctions

extends java.lang.Object

Provides various hash functions.

Version:
  1.0, 09/24/99
Author:
  wolfgang.hoschek@cern.ch

Constructor Summary
`HashFunctions()`

Method Summary
`static int` `hash(double value)` Returns a hashcode for the specified value.
`static int` `hash(float value)` Returns a hashcode for the specified value.
`static int` `hash(int value)` Returns a hashcode for the specified value.
`static int` `hash(long value)` Returns a hashcode for the specified value.
`static int` `hash(java.lang.Object object)` Returns a hashcode for the specified object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashFunctions

    public HashFunctions()

Method Detail

### hash

    public static int hash(double value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(float value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(int value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(long value)

  Returns a hashcode for the specified value.

  Returns:
    a hash code value for the specified value.

### hash

    public static int hash(java.lang.Object object)

  Returns a hashcode for the specified object.

  Returns:
    a hash code value for the specified object.

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.